> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# List all ABA checks

> Requires the `aba_check:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /aba-checks
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /aba-checks:
    get:
      tags:
        - ABA checks
      summary: List all ABA checks
      description: Requires the `aba_check:read` ability.
      operationId: aba-checks.index
      parameters:
        - name: sort
          in: query
          description: >-
            Available sorts are `created_at`, `updated_at`, `aba_date`,
            `status`. You can sort by multiple options by separating them with a
            comma. To sort in descending order, use `-` sign in front of the
            sort, for example: `-created_at`.
          schema:
            type: string
            default: '-created_at'
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 10
        - name: page[number]
          in: query
          description: The page number to start the pagination from.
          schema:
            type: integer
        - name: include
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - entries
                - entries.verification
          explode: false
        - name: fields[aba-checks]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - description
                - aba_date
                - original_file_name
                - created_at
                - updated_at
          explode: false
        - name: fields[aba-check-entries]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - account_name
                - bsb
                - account_number
                - amount
                - lodgement_reference
                - result
                - passed
          explode: false
        - name: fields[verifications]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - individual_confirmation_mode
                - send_individual_confirmation_sms
                - send_individual_confirmation_email
                - accept_close_match
                - attribution_id
                - individual_confirmation_url
                - failure_reason
                - check_results
                - created_at
                - updated_at
          explode: false
        - name: filter[status]
          in: query
          description: Filter by ABA check status.
          schema:
            $ref: '#/components/schemas/AbaCheckStatus'
            examples:
              - passed
        - name: filter[aba_date]
          in: query
          description: Filter by ABA processing date.
          schema:
            type: string
            format: date
            examples:
              - '2026-04-28'
        - name: filter[created_at_start]
          in: query
          description: Filter ABA checks created on or after this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-01T00:00:00Z'
        - name: filter[created_at_end]
          in: query
          description: Filter ABA checks created on or before this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-30T23:59:59Z'
      responses:
        '200':
          description: Paginated set of `AbaCheckResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AbaCheckResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/AbaCheckEntryResource'
                        - $ref: '#/components/schemas/VerificationResource'
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    AbaCheckStatus:
      type: string
      enum:
        - passed
        - failed
      title: AbaCheckStatus
    AbaCheckResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: aba-checks
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The status of the ABA check.
            description:
              type: string
              description: The description of the ABA file.
            aba_date:
              type: string
              description: The processing date of the ABA file.
            original_file_name:
              type: string
              description: The original file name of the ABA file.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
        relationships:
          type: object
          properties:
            entries:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      type:
                        type: string
                        const: aba-check-entries
                    required:
                      - id
                      - type
              required:
                - data
      required:
        - id
        - type
      title: AbaCheckResource
    AbaCheckEntryResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: aba-check-entries
        attributes:
          type: object
          properties:
            account_name:
              type: string
              description: The account name from the ABA file entry.
            bsb:
              type: string
              description: The BSB from the ABA file entry.
            account_number:
              type: string
              description: The account number from the ABA file entry.
            amount:
              type: string
              description: The payment amount in cents.
            lodgement_reference:
              type: string
              description: The lodgement reference from the ABA file entry.
            result:
              type: string
              description: The verification result for the ABA file entry.
            passed:
              type: string
              description: Whether the entry matched a known verified contact.
        relationships:
          type: object
          properties:
            verification:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    type:
                      type: string
                      const: verifications
                  required:
                    - id
                    - type
              required:
                - data
      required:
        - id
        - type
      title: AbaCheckEntryResource
    VerificationResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: verifications
        attributes:
          type: object
          properties:
            status:
              type: string
              description: Current status of the verification.
            individual_confirmation_mode:
              type: string
              description: Verification mode for the individual.
            send_individual_confirmation_sms:
              type: string
              description: Whether confirmation SMS is sent to the individual.
            send_individual_confirmation_email:
              type: string
              description: Whether confirmation email is sent to the individual.
            accept_close_match:
              type: string
              description: Whether to accept close match for individual verifications.
            attribution_id:
              type: string
              description: The attribution ID optionally provided upon creation.
            individual_confirmation_url:
              type: string
              description: Confirmation URL for the individual to complete verification.
            failure_reason:
              type: string
              description: Human-readable reason why the verification failed.
            check_results:
              type:
                - object
                - 'null'
              description: Array of verification check results.
              additionalProperties:
                type: object
                additionalProperties:
                  type: string
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: VerificationResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````